1. KYC
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Checkout Request
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Payment Request
    • Payment Order Request
      POST
    • Reject Order By OriginatorConversationId
      POST
    • Find Payment Order By OriginatorConversationId
      GET
  • Collection Request
    • Find Express Deposit By OriginatorConversationId
      GET
    • Express Deposit Request
      POST
  • Bill Payments
    • Bill Number
      POST
    • Find Bill Number By Service Id and Account Number
      GET
    • Bill Request
      POST
    • Find Bill Request By Originator Converstion Id
      GET
    • Find Bill Services
      GET
  • KYC
    • Account Number Validation Request
      POST
    • KYC Validation
      POST
    • KYC Validation
      GET
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Payment Links
    • Find Payment Links By Id
    • Create Payment Link
    • Update Payment Link
  • Customer Accounts
    • Balance Check
    • Find Charges By TransactionTypeId
  • Airtime Purchase
    • Airtime Purchase
    • Find Airtime Purchases By OriginatorConversationId
  1. KYC

KYC Validation

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
POST
/v1/kyc-request/validate
Field NameData TypeState
routeIdstringMandatory
kycRequestFirstNamestringMandatory
kycRequestMiddleNamestringMandatory
kycRequestLastNamestringMandatory
kycRequestOtherNamesstringOptional
kycRequestNationalIDstringMandatory
serialNostringOptional
kycRequestPassportNostringOptional
kycRequestServiceIDstringOptional
kycRequestAlienIDstringOptional
kycRequestTaxIDstringOptional
kycRequestDateOfBirthstringOptional
kycRequestPostalBoxNostringOptional
kycRequestPostalTownstringOptional
kycRequestTelephoneMobilestringOptional
kycRequestPhysicalAddressstringOptional
kycRequestPhysicalTownstringOptional
kycRequestPhysicalCountrystringOptional
kycRequestReportReasonstringMandatory
kycRequestCallBackURLstringOptional
deviceIdstringOptional
systemTraceAuditNumberstringMandatory
countrystringMandatory
ccystringMandatory
NOTE: Once access to the API has been granted, the routeID will be shared.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://auth.zamupay.com/v1/kyc-request/validate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "routeId": "string",
    "kycRequestFirstName": "string",
    "kycRequestMiddleName": "string",
    "kycRequestLastName": "string",
    "kycRequestOtherNames": "string",
    "kycRequestNationalID": "string",
    "serialNo": "string",
    "kycRequestPassportNo": "string",
    "kycRequestServiceID": "string",
    "kycRequestAlienID": "string",
    "kycRequestTaxID": "string",
    "kycRequestDateOfBirth": "2019-08-24T14:15:22.123Z",
    "kycRequestPostalBoxNo": "string",
    "kycRequestPostalTown": "string",
    "kycRequestTelephoneMobile": "string",
    "kycRequestPhysicalAddress": "string",
    "kycRequestPhysicalTown": "string",
    "kycRequestPhysicalCountry": "string",
    "kycRequestReportReason": 0,
    "kycRequestCallBackURL": "string",
    "deviceId": "string",
    "systemTraceAuditNumber": "string",
    "country": "string",
    "ccy": 0
}'
Response Response Example
{}
Modified at 2026-01-29 06:18:02
Previous
Account Number Validation Request
Next
KYC Validation
Built with